import numpy as np


discriminator_voltages = np.array([0.0455, 0.0465, 0.0464, 0.0462])  # V

efficiency_data = {
    'V_error': 2,  # V
    'rnd1': {
        'time': 120,  # s
        1: {
            'N1': np.array([714, 3664, 10467, 35152, 83680, 121468, 147583, 169994, 199850,
                            268032, 399712, 588575]),
            'N3': np.array([3921, 3913, 3969, 3827, 3787, 3893, 3778, 3757, 3778,
                            3742, 3736, 3705]),
            'N4': np.array([146, 708, 1639, 2545, 3089, 3409, 3455, 3497, 3565,
                            3522, 3542, 3511]),
            'V': np.array([1750, 1800, 1850, 1900, 1950, 2000, 2050, 2100, 2150,
                           2200, 2250, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]) / np.sqrt(12),
            'V_all': np.array([np.nan, 2001, 2002, 2003])
        },
        2: {
            'N1': np.array([58, 495, 2426, 7522, 23490, 109620, 356208, 745925, 1212400,
                            1595200, 2029200, 2534300]),
            'N3': np.array([4754, 4653, 4552, 4497, 4638, 4450, 4473, 4437, 4414,
                            4490, 4231, 4358]),
            'N4': np.array([15, 85, 404, 1198, 2342, 3193, 3682, 3868, 3941,
                            4038, 3841, 4025]),
            'V': np.array([1750, 1800, 1850, 1900, 1950, 2000, 2050, 2100, 2151,
                           2200, 2251, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 100, 100, 100, 100]) / np.sqrt(12),
            'V_res': np.array([1968, np.nan, 2002, 2003])
        },
        3: {
            'N1': np.array([202, 962, 2957, 21357, 154115, 404595, 629418, 788800, 905800,
                            1048500, 1303300, 1941500]),
            'N3': np.array([5378, 5353, 5310, 5327, 5337, 5194, 5305, 5117, 5062,
                            5029, 5066, 5658]),
            'N4': np.array([51, 177, 639, 1537, 2700, 3566, 4152, 4259, 4315,
                            4366, 4531, 5125]),
            'V': np.array([1750, 1801, 1850, 1901, 1950, 2000, 2050, 2099, 2150,
                           2200, 2250, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 100, 100, 100, 100, 100]) / np.sqrt(12),
            'V_res': np.array([1968, 2027, np.nan, 2003])
        },
        4: {
            'N1': np.array([75, 478, 1662, 5038, 55103, 216521, 382170, 511608, 621700,
                            717000, 899100, 1262500]),
            'N3': np.array([7643, 7806, 7697, 7649, 7724, 7666, 7505, 7534, 7498,
                            7449, 7390, 7437]),
            'N4': np.array([11, 60, 266, 1093, 2569, 4147, 5032, 5620, 5907,
                            6004, 6120, 6288]),
            'V': np.array([1750, 1801, 1850, 1900, 1950, 2000, 2050, 2100, 2151,
                           2200, 2251, 2301]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 100, 100, 100, 100]) / np.sqrt(12),
            'V_res': np.array([1968, 2027, 2058, np.nan])
        },
    },
    'rnd2': {
        'time': 60,  # s
        1: {
            'N1': np.array([407, 1917, 5439, 18761, 42512, 61391, 73796, 84954, 100872,
                            138597, 207206, 315745]),
            'N3': np.array([3210, 3224, 3234, 3294, 3271, 3143, 3221, 3007, 3101,
                            3048, 3020, 2980]),
            'N4': np.array([106, 516, 1321, 2066, 2633, 2719, 2893, 2772, 2898,
                            2841, 2826, 2793]),
            'V': np.array([1750, 1801, 1850, 1901, 1950, 2001, 2050, 2100, 2151,
                           2201, 2249, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]) / np.sqrt(12),
            'V_res': np.array([np.nan, 2027, 2058, 2066])
        },
        2: {
            'N1': np.array([26, 310, 1275, 3704, 11401, 54519, 186158, 382587, 580560,
                            770340, 1009500, 1303200]),
            'N3': np.array([3550, 3536, 3559, 3446, 3548, 3439, 3412, 3304, 3273,
                            2962, 3189, 3298]),
            'N4': np.array([13, 49, 285, 840, 1695, 2454, 2779, 2851, 2924,
                            3314, 2873, 2995]),
            'V': np.array([1751, 1800, 1851, 1900, 1950, 2000, 2051, 2100, 2150,
                           2200, 2250, 2301]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 100, 100]) / np.sqrt(12),
            'V_res': np.array([1975, np.nan, 2058, 2066])
        },
        3: {
            'N1': np.array([128, 439, 1424, 9027, 69123, 174395, 264198, 333300, 386574,
                            451295, 593123, 944176]),
            'N3': np.array([3560, 3562, 3616, 3614, 3567, 3581, 3469, 3573, 3518,
                            3413, 3364, 3428]),
            'N4': np.array([20, 86, 370, 978, 1742, 2335, 2644, 2895, 3017,
                            2955, 2975, 3083]),
            'V': np.array([1750, 1800, 1850, 1900, 1950, 2000, 2050, 2099, 2151,
                           2201, 2250, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]) / np.sqrt(12),
            'V_res': np.array([1975, 2032, np.nan, 2066])
        },
        4: {
            'N1': np.array([31, 229, 706, 2620, 26653, 96914, 168735, 231643, 282600,
                            338705, 433649, 614979]),
            'N3': np.array([4054, 4034, 3974, 4148, 3934, 3916, 3870, 4056, 3983,
                            3859, 3963, 3974]),
            'N4': np.array([7, 30, 156, 631, 1338, 2091, 2602, 2986, 3116,
                            3129, 3286, 3346]),
            'V': np.array([1751, 1801, 1851, 1901, 1951, 2001, 2050, 2100, 2150,
                           2201, 2250, 2300]),
            'scale_error': np.array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]) / np.sqrt(12),
            'V_res': np.array([1975, 2032, 2068, np.nan])
        },
    },
    'final': np.array([1975, 2032, 2068, 2067], dtype=np.float64)
}
